# kosmos-parity Cookbook

This cookbook installs [Parity](https://parity.io/) nodes

## Requirements

### Platforms

- Ubuntu

### Chef

- Chef 12.1 or later

## Attributes

### kosmos-parity::default

<table>
  <tr>
    <th>Key</th>
    <th>Type</th>
    <th>Description</th>
    <th>Default</th>
  </tr>
  <tr>
    <td><tt>['kosmos-parity']['home_path']</tt></td>
    <td>String</td>
    <td>The parity user's home path</td>
    <td><tt>/home/parity</tt></td>
  </tr>
</table>

## Usage

### kosmos-parity::default

### kosmos-parity::node_dev

Sets up a parity node running on the dev chain on port 8545 (behind nginx, with
HTTPS)

### kosmos-parity::node_testnet

Sets up a parity node running on the testnet chain on port 8546 (behind nginx,
with HTTPS)

## License and Authors

Authors:

* Greg Karékinian
